<!-- /********************************************************************************
* Copyright (c) 2020 Contributors to the Eclipse Foundation
*
* See the NOTICE file(s) distributed with this work for additional
* information regarding copyright ownership.
*
* This program and the accompanying materials are made available under the
* terms of the Eclipse Public License v. 2.0 which is available at
* http://www.eclipse.org/legal/epl-2.0.
*
* SPDX-License-Identifier: EPL-2.0
********************************************************************************/ -->
<form [ngrxFormState]="salutationsSandbox.formState$ | async">
  <h4>{{ 'Salutations.DetailsTitle' | translate }}</h4>
  <div>
    <!-- type -->
    <div class="form-group row">
      <label for="salutationTyp" class="col-sm-4 col-form-label">{{ 'Salutations.Type' | translate }}</label>
      <div class="col-sm-7">
        <input
          type="text"
          required
          maxlength="30"
          class="form-control"
          id="salutationTyp"
          [ngrxFormControlState]="((salutationsSandbox.formState$ | async)?.controls)['type']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- description -->
    <div class="form-group row">
      <label for="salutationDescription" class="col-sm-4 col-form-label">{{ 'Salutations.Description' | translate }}</label>
      <div class="col-sm-7">
        <input
          type="text"
          required
          maxlength="255"
          class="form-control"
          id="salutationDescription"
          [ngrxFormControlState]="((salutationsSandbox.formState$ | async)?.controls)['description']"
          autocomplete="off"
        />
      </div>
    </div>

    <!-- buttons -->
    <button *visibleByRight type="button" class="btn btn-primary btn-sm btn-success" (click)="salutationsSandbox.saveSalutation()">
      {{ 'SaveBtn' | translate }}
    </button>

    <button type="button" class="btn btn-primary btn-sm" (click)="salutationsSandbox.cancel()">
      {{ 'CancelBtn' | translate }}
    </button>
  </div>
</form>
